<?php

class PaDefault extends CustomPage {
	public $ssetParid=1;
	
	public function PaDefault(){
		$this->CustomPage();
	}
	public function OnBInitial(){
		$this->sMetaTitle='问答首页';
		$this->getUser('1,2,3,4,5,');
		$this->sTemplatePath='Cms/askHome.php';
		
		//Parid
		$tmpAR0=$this->sControl->sDbInTemplate;
		$tmpAR0['Connection']=$this->sConnString;
		$tmpAR0['SQL']=' SELECT A.casgtID,A.casgtName,A.casgtParid FROM '.$this->sysTableHead.'cmsaskgroup AS A
			WHERE 1=1 AND A.casgtRecycle=0 AND A.casgtChecked>1 AND A.casgtParid={Nets.Parid}
			ORDER BY A.casgtOrderBy DESC,A.casgtID DESC ';
		$tmpAR0['SQL0']=' SELECT A.casgtID,A.casgtName,A.casgtParid FROM '.$this->sysTableHead.'cmsaskgroup AS A
			WHERE 1=1 AND A.casgtRecycle=0 AND A.casgtChecked>1 AND A.casgtID={Nets.Parid}
			ORDER BY A.casgtOrderBy DESC,A.casgtID DESC ';
		$tmpAR0['InitialString']=$this->ssetParid;
		$tmpAR0['Parid']='casgtID';
		$tmpAR0['Text']='casgtName';
		$tmpAR0['Value']='casgtID';
		$tmpAR0['Type']=0;
		$tmpAR0['Style']='';
		$tmpAR0['Title']='';
		$tmpAR0['AddOne']='';
		$tmpSTR=$this->sControl->sHeadString;
		$this->sControl->sHeadString='';
		$this->sParid1=$this->sParid2=$this->sControl->bindDropdown($tmpAR0);
		$this->sControl->sHeadString=$tmpSTR;
		$tmpAR0=$this->sControl->sDpReturnTemplate;
		$tmpAR0['Text']='[所有分类]';
		$tmpAR0['Value']='-1';
		$tmpAR0['Style']='';
		$tmpAR0['Title']='';
		$tmpAR0['AddOne']='';
		array_push($this->sParid2,$tmpAR0);
		
	}
}

?>